Name:           bpython
Summary:        Fancy curses interface to the Python interactive interpreter
Version:        0.16
Release:        %mkrel 1
URL:            http://www.bpython-interpreter.org/
Group:          Development/Python
License:        MIT
#Source0:        http://www.bpython-interpreter.org/releases/%{name}-%{version}.tar.gz
Source0:        https://github.com/bpython/bpython/archive/%{version}-release/%{name}-%{version}-release.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(babel)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(sphinx)
Requires:       pythonegg(2)(urwid)
Recommends:     pythonegg(2)(jedi)

%description
bpython is a fancy interface to the Python interpreter for Unix-like
operating systems. It has the following features:
 o in-line syntax highlighting
 o readline-like autocomplete with suggestions displayed as you type
 o expected parameter list for any Python function.
 o eewind function to pop the last line of code from memory and
   re-evaluate.
 o send the code you've entered off to a pastebin and display the
   pastebin URL for copying, etc.
 o save the code you've entered to a file
 o auto indentation

%package -n     python3-%{name}
Summary:        Fancy curses interface to the Python 3 interactive interpreter
Group:          Development/Python
Provides:       %{name}3 = %{version}-%{release}

BuildRequires:  locales-en
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(babel)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(sphinx)
Requires:       pythonegg(3)(urwid)
Recommends:     pythonegg(3)(jedi)

%description -n python3-%{name}
bpython is a fancy interface to the Python interpreter for Unix-like
operating systems. It has the following features:
 o in-line syntax highlighting
 o readline-like autocomplete with suggestions displayed as you type
 o expected parameter list for any Python function.
 o eewind function to pop the last line of code from memory and
   re-evaluate.
 o send the code you've entered off to a pastebin and display the
   pastebin URL for copying, etc.
 o save the code you've entered to a file
 o auto indentation

This is the Python 3 build of bpython.


%prep
%setup -q -n %{name}-%{version}-release
%autopatch -p1

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
export LC_ALL=en_US.UTF-8

%py2_build

pushd %{py3dir}
%py3_build
popd


%install
export LC_ALL=en_US.UTF-8

# Install python 3 first, so that python 2 gets precedence:
pushd %{py3dir}
%py3_install
popd

# Give python 3 executables a "3" suffix to avoid collisions with their
# python 2 counterparts
pushd %{buildroot}%{_bindir}
for file in bpython*; do
  newfile=$(echo $file | sed 's/bpython/bpython3/')
  mv ${file} ${newfile}
done
mv bpdb bpdb3
popd


# Install python 2 version
%py2_install


%files
%doc AUTHORS CHANGELOG LICENSE
%doc light.theme sample.theme windows.theme
%{_bindir}/bpdb
%{_bindir}/%{name}
%{_bindir}/%{name}-curses
%{_bindir}/%{name}-urwid
%{python2_sitelib}/%{name}*
%{python2_sitelib}/bpdb
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}-config.5*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files -n       python3-%{name}
%doc AUTHORS CHANGELOG LICENSE
%doc light.theme sample.theme windows.theme
%{_bindir}/bpdb3
%{_bindir}/%{name}3
%{_bindir}/%{name}3-curses
%{_bindir}/%{name}3-urwid
%{python3_sitelib}/%{name}*
%{python3_sitelib}/bpdb


%changelog
* Sun Jan 01 2017 akien <akien> 0.16-1.mga6
+ Revision: 1079112
- Version 0.16

* Mon Mar 14 2016 akien <akien> 0.15-2.mga6
+ Revision: 990632
- Enable python3-urwid version, it seems to work even without python3-twisted
- Version 0.15
- Remove requires redundant with autoreqs
- Recommend jedi for additional features

* Fri Feb 19 2016 umeabot <umeabot> 0.14.2-4.mga6
+ Revision: 970608
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.14.2-3.mga6
+ Revision: 887262
- rebuild for python 3.5
- use new python macros

* Mon Jun 22 2015 akien <akien> 0.14.2-2.mga6
+ Revision: 839545
- Rebuild for newly imported curtsies, now mandatory to run bpython

* Mon Jun 22 2015 akien <akien> 0.14.2-1.mga6
+ Revision: 839519
- Adapt spec for new version (partly synced with Fedora)
- gtk build has been dropped
- Version 0.14.2

* Tue Jan 27 2015 akien <akien> 0.13.2-1.mga5
+ Revision: 812481
- Version 0.13.2 (upstreams Patch1)

* Mon Nov 10 2014 akien <akien> 0.13.1-2.mga5
+ Revision: 796229
- Upstream patch to fix pastebin functionality

* Tue Nov 04 2014 akien <akien> 0.13.1-1.mga5
+ Revision: 795506
- import bpython from Fedora

